<?php

/**
 * @file
 * template.php
 */


function sfb_alm_dashboard_preprocess_html(&$vars) {
  $vars['classes_array'][] = 'sidebar-collapse';
  $vars['classes_array'][] = 'sidebar-mini';
  $vars['classes_array'][] = 'hold-transition';
  $vars['classes_array'][] = 'skin-black';
}

function sfb_alm_dashboard_preprocess_page(&$variables) {

  $userc = User::getCurrent();
  $user_fullname = $userc->getFullname(TRUE);
  $variables['user_fullname'] = $user_fullname;

  $user_fullname2 = $userc->getFullname();
  $variables['user_fullname2'] = $user_fullname2;

  $manager_permission = user_access(SFB_ALM_PERMISSION_MANAGE);
  $variables['manager_permission'] = $manager_permission;

  $search_request_form = drupal_get_form('sfb_alm_template_form_search');
  $search_request = drupal_render($search_request_form);
  $variables['search_request'] = $search_request;

  $variables['main_site_name'] = variable_get('sfb_config_title', 'main site');
  $variables['alm_module_title'] = variable_get(SFB_ALM_VAR_CONFIG_MODULE_TITLE, "Advanced Light Microscopy");

  // read ALM module's info file
  $module = 'sfb_alm';
  $path = drupal_get_path('module', $module) . '/' . $module . '.info';
  $info = drupal_parse_info_file($path);
  $variables['alm_module_version'] = $info['version'];


}